<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: gg::Settings Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacegg.html">gg</a></li><li class="navelem"><a class="el" href="classgg_1_1Settings.html">Settings</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classgg_1_1Settings-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">gg::Settings Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="Settings_8hpp_source.html">Settings.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for gg::Settings:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classgg_1_1Settings.png" usemap="#gg::Settings_map" alt=""/>
  <map id="gg::Settings_map" name="gg::Settings_map">
<area href="classgg_1_1GameState.html" alt="gg::GameState" shape="rect" coords="69,56,198,80"/>
<area href="classgg_1_1IEventSubscriber.html" alt="gg::IEventSubscriber" shape="rect" coords="0,0,129,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a688dbb264fe507d686711056730a0973"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Settings.html#a688dbb264fe507d686711056730a0973">Settings</a> ()</td></tr>
<tr class="separator:a688dbb264fe507d686711056730a0973"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab5da44d8f34699c6b462396fd4a16055"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Settings.html#ab5da44d8f34699c6b462396fd4a16055">~Settings</a> () override</td></tr>
<tr class="separator:ab5da44d8f34699c6b462396fd4a16055"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7f7f116504600973893e8b99be64f743"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Settings.html#a7f7f116504600973893e8b99be64f743">Enter</a> () override</td></tr>
<tr class="separator:a7f7f116504600973893e8b99be64f743"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad608a30559e98393724c03521659ba38"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Settings.html#ad608a30559e98393724c03521659ba38">Exit</a> () override</td></tr>
<tr class="separator:ad608a30559e98393724c03521659ba38"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af6254a263eca83ba52e9a0d3022f659a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Settings.html#af6254a263eca83ba52e9a0d3022f659a">OnEvent</a> (<a class="el" href="classgg_1_1IEvent.html">IEvent</a> *e) override</td></tr>
<tr class="separator:af6254a263eca83ba52e9a0d3022f659a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b747ce6c0619df3e820204719ed6228"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Settings.html#a6b747ce6c0619df3e820204719ed6228">Update</a> () override</td></tr>
<tr class="separator:a6b747ce6c0619df3e820204719ed6228"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae421ba4db17cf9be2da5fef2f08bbff"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Settings.html#aae421ba4db17cf9be2da5fef2f08bbff">OnFullscreenEvent</a> (const bool)</td></tr>
<tr class="separator:aae421ba4db17cf9be2da5fef2f08bbff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa60cc893140ba81f7d93e690c25c797e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Settings.html#aa60cc893140ba81f7d93e690c25c797e">OnMusicSetEvent</a> (const bool)</td></tr>
<tr class="separator:aa60cc893140ba81f7d93e690c25c797e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a589df9f24ceb40ebda69e0b0f960f2c3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Settings.html#a589df9f24ceb40ebda69e0b0f960f2c3">OnBackPressedEvent</a> ()</td></tr>
<tr class="separator:a589df9f24ceb40ebda69e0b0f960f2c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classgg_1_1GameState"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classgg_1_1GameState')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classgg_1_1GameState.html">gg::GameState</a></td></tr>
<tr class="memitem:a5f1b188a3cb1ecb87ee511eb94bac00a inherit pub_methods_classgg_1_1GameState"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1GameState.html#a5f1b188a3cb1ecb87ee511eb94bac00a">GameState</a> (<a class="el" href="namespacegg.html#a185920557ea920066338d5dec2aa9cf9">SceneType</a>)</td></tr>
<tr class="separator:a5f1b188a3cb1ecb87ee511eb94bac00a inherit pub_methods_classgg_1_1GameState"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a002bb6e63a30011a1994f94a174f78dd inherit pub_methods_classgg_1_1GameState"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1GameState.html#a002bb6e63a30011a1994f94a174f78dd">~GameState</a> () override=default</td></tr>
<tr class="separator:a002bb6e63a30011a1994f94a174f78dd inherit pub_methods_classgg_1_1GameState"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa5b20ea0224f8a5fde426cecc5c58663 inherit pub_methods_classgg_1_1GameState"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1GameState.html#aa5b20ea0224f8a5fde426cecc5c58663">Enter</a> ()</td></tr>
<tr class="separator:aa5b20ea0224f8a5fde426cecc5c58663 inherit pub_methods_classgg_1_1GameState"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1bd8ba8c1de8c6d955266c06366b945e inherit pub_methods_classgg_1_1GameState"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1GameState.html#a1bd8ba8c1de8c6d955266c06366b945e">Exit</a> ()</td></tr>
<tr class="separator:a1bd8ba8c1de8c6d955266c06366b945e inherit pub_methods_classgg_1_1GameState"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ecdbb073943b30d3761441a64c287f2 inherit pub_methods_classgg_1_1GameState"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1GameState.html#a9ecdbb073943b30d3761441a64c287f2">Update</a> ()=0</td></tr>
<tr class="separator:a9ecdbb073943b30d3761441a64c287f2 inherit pub_methods_classgg_1_1GameState"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a889abdb1cbc9d27df5b6ea25dae3942b inherit pub_methods_classgg_1_1GameState"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1GameState.html#a889abdb1cbc9d27df5b6ea25dae3942b">GetSceneType</a> () -&gt; <a class="el" href="namespacegg.html#a185920557ea920066338d5dec2aa9cf9">SceneType</a></td></tr>
<tr class="separator:a889abdb1cbc9d27df5b6ea25dae3942b inherit pub_methods_classgg_1_1GameState"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classgg_1_1IEventSubscriber"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classgg_1_1IEventSubscriber')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classgg_1_1IEventSubscriber.html">gg::IEventSubscriber</a></td></tr>
<tr class="memitem:a08d412b35e08386f265840cd3652c8fc inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#a08d412b35e08386f265840cd3652c8fc">IEventSubscriber</a> ()=default</td></tr>
<tr class="separator:a08d412b35e08386f265840cd3652c8fc inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a574e684bfb29123ae250769873231cd8 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#a574e684bfb29123ae250769873231cd8">~IEventSubscriber</a> ()=default</td></tr>
<tr class="separator:a574e684bfb29123ae250769873231cd8 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac8aebcb4316a65f73f794a924e5619ee inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#ac8aebcb4316a65f73f794a924e5619ee">operator==</a> (const <a class="el" href="classgg_1_1IEventSubscriber.html">IEventSubscriber</a> &amp;) -&gt; bool</td></tr>
<tr class="separator:ac8aebcb4316a65f73f794a924e5619ee inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a08c9dd34d285004445b619fe55a064f6 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#a08c9dd34d285004445b619fe55a064f6">OnEvent</a> (<a class="el" href="classgg_1_1IEvent.html">IEvent</a> *e)</td></tr>
<tr class="separator:a08c9dd34d285004445b619fe55a064f6 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a961a23b00ee141313a4c8f7a505f3cb8 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#a961a23b00ee141313a4c8f7a505f3cb8">GetNumberOfSubscribedEvents</a> () const -&gt; size_t</td></tr>
<tr class="separator:a961a23b00ee141313a4c8f7a505f3cb8 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad78398900f7d14a9594e243e115e7ad0 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#ad78398900f7d14a9594e243e115e7ad0">IncrementNumberOfSubscribedEvents</a> ()</td></tr>
<tr class="separator:ad78398900f7d14a9594e243e115e7ad0 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a87ad672a9db8b804deca81b7c4e6723f inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#a87ad672a9db8b804deca81b7c4e6723f">DecrementNumberOfSubscribedEvents</a> ()</td></tr>
<tr class="separator:a87ad672a9db8b804deca81b7c4e6723f inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44c244803f071939ab0822ec856903db inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#a44c244803f071939ab0822ec856903db">ResetNumberOfSubscribedEvents</a> ()</td></tr>
<tr class="separator:a44c244803f071939ab0822ec856903db inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="inherited" name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_methods_classgg_1_1GameState"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classgg_1_1GameState')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classgg_1_1GameState.html">gg::GameState</a></td></tr>
<tr class="memitem:a73aefae71e9c2b1d25570209eb8060ba inherit pro_methods_classgg_1_1GameState"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1GameState.html#a73aefae71e9c2b1d25570209eb8060ba">draw</a> (sf::RenderTarget &amp;target, sf::RenderStates states) const override</td></tr>
<tr class="separator:a73aefae71e9c2b1d25570209eb8060ba inherit pro_methods_classgg_1_1GameState"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_classgg_1_1GameState"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classgg_1_1GameState')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classgg_1_1GameState.html">gg::GameState</a></td></tr>
<tr class="memitem:aff73b97ff10df8d9e2adc87adb946721 inherit pro_attribs_classgg_1_1GameState"><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespacegg.html#a185920557ea920066338d5dec2aa9cf9">SceneType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1GameState.html#aff73b97ff10df8d9e2adc87adb946721">m_sceneType</a> = <a class="el" href="namespacegg.html#a185920557ea920066338d5dec2aa9cf9a90589c47f06eb971d548591f23c285af">SceneType::Custom</a></td></tr>
<tr class="separator:aff73b97ff10df8d9e2adc87adb946721 inherit pro_attribs_classgg_1_1GameState"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a688dbb264fe507d686711056730a0973" name="a688dbb264fe507d686711056730a0973"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a688dbb264fe507d686711056730a0973">&#9670;&nbsp;</a></span>Settings()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gg::Settings::Settings </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab5da44d8f34699c6b462396fd4a16055" name="ab5da44d8f34699c6b462396fd4a16055"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab5da44d8f34699c6b462396fd4a16055">&#9670;&nbsp;</a></span>~Settings()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">gg::Settings::~Settings </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a7f7f116504600973893e8b99be64f743" name="a7f7f116504600973893e8b99be64f743"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7f7f116504600973893e8b99be64f743">&#9670;&nbsp;</a></span>Enter()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void gg::Settings::Enter </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reimplemented from <a class="el" href="classgg_1_1GameState.html#aa5b20ea0224f8a5fde426cecc5c58663">gg::GameState</a>.</p>

</div>
</div>
<a id="ad608a30559e98393724c03521659ba38" name="ad608a30559e98393724c03521659ba38"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad608a30559e98393724c03521659ba38">&#9670;&nbsp;</a></span>Exit()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void gg::Settings::Exit </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reimplemented from <a class="el" href="classgg_1_1GameState.html#a1bd8ba8c1de8c6d955266c06366b945e">gg::GameState</a>.</p>

</div>
</div>
<a id="a589df9f24ceb40ebda69e0b0f960f2c3" name="a589df9f24ceb40ebda69e0b0f960f2c3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a589df9f24ceb40ebda69e0b0f960f2c3">&#9670;&nbsp;</a></span>OnBackPressedEvent()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gg::Settings::OnBackPressedEvent </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af6254a263eca83ba52e9a0d3022f659a" name="af6254a263eca83ba52e9a0d3022f659a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af6254a263eca83ba52e9a0d3022f659a">&#9670;&nbsp;</a></span>OnEvent()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void gg::Settings::OnEvent </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classgg_1_1IEvent.html">IEvent</a> *&#160;</td>
          <td class="paramname"><em>e</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reimplemented from <a class="el" href="classgg_1_1IEventSubscriber.html#a08c9dd34d285004445b619fe55a064f6">gg::IEventSubscriber</a>.</p>

</div>
</div>
<a id="aae421ba4db17cf9be2da5fef2f08bbff" name="aae421ba4db17cf9be2da5fef2f08bbff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aae421ba4db17cf9be2da5fef2f08bbff">&#9670;&nbsp;</a></span>OnFullscreenEvent()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gg::Settings::OnFullscreenEvent </td>
          <td>(</td>
          <td class="paramtype">const bool&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa60cc893140ba81f7d93e690c25c797e" name="aa60cc893140ba81f7d93e690c25c797e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa60cc893140ba81f7d93e690c25c797e">&#9670;&nbsp;</a></span>OnMusicSetEvent()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gg::Settings::OnMusicSetEvent </td>
          <td>(</td>
          <td class="paramtype">const bool&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6b747ce6c0619df3e820204719ed6228" name="a6b747ce6c0619df3e820204719ed6228"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6b747ce6c0619df3e820204719ed6228">&#9670;&nbsp;</a></span>Update()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void gg::Settings::Update </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implements <a class="el" href="classgg_1_1GameState.html#a9ecdbb073943b30d3761441a64c287f2">gg::GameState</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>include/gamestates/<a class="el" href="Settings_8hpp_source.html">Settings.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
